#!/bin/sh

CONFDIR=/etc/xinetd
XINETDCONF=/etc/xinetd.conf

if [ $1 ] && [ $1 == "-quiet" ]
then
  verbose=0
else
  verbose=1
fi


if [ -d $CONFDIR ]
then
  # backup xinetd.conf
  if [ -f $XINETDCONF ] ; then
  	cp -f $XINETDCONF  $XINETDCONF.bak
        rm -f $XINETDCONF
  fi 

  # New file should be rw-r--r-- root.root
  umask 133
  if [ -f $CONFDIR/defaults ] ; then 
      cat $CONFDIR/defaults > $XINETDCONF
  else
      touch $XINETDCONF
  fi 

  for i in `/bin/ls $CONFDIR/ | grep conf`
  do
    cat $CONFDIR/`basename $i` >> $XINETDCONF
    echo >> $XINETDCONF
  done

else
  if [ $verbose ]
  then
    echo "Warning: It looks like you don't have an /etc/xinetd directory."
    echo "         Let's see if you have an /etc/xinetd.conf..."
  fi
fi

