%define nam     xinetd
%define ver     2.1.8.8p3
%define rel     5
%define prefix  /usr


Summary: xinetd - more powerful version of inetd.
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group:		System Environment/Daemons
License:	GPL
Source0:	%{name}-%{version}.tar.gz
Source1:	xinetd.init.tl
Source2:	xinetd.defaults
Source3:	xinetd.README
Source4:	rebuild_xinetd.sh
# Source5:	xinetd-2.1.8.8p3-conf-1.tar.gz
Patch0:		xinetd-2.1.8.8p3-fix1.patch
URL:		http://synack.net/xinetd
Serial: 	2001070402
Buildroot:	/var/tmp/%{name}-%{version}-root
Requires:	/sbin/chkconfig
Requires:       setup
#NoSource: 0
#NoSource: 5

Summary(zh_CN.EUC): []inetdĸ߼汾
Summary(zh_TW.Big5): [-AA$)BȾ]inetdŪ


%description
This program replaces /usr/sbin/inetd.  It is much more configurable,
and is capable of much better performance.  It also has improved
security and logging features.


%package	devel
Summary:	Static libraries and header files for xinetd
Group:		Development/Libraries
Requires:	%{name} = %{version}


%description	devel
The static libraries and header files for xinetd.


%changelog
* Wed Jul  4 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added xinetd-2.1.8.8p3-fix1 patch to fix umask.
- Configuration files come back from previous version.

* Tue Jun 19 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added default configuration files for each protocols.

* Thu Jun 14 2001 Go Taniguchi <go@turbolinux.co.jp>
- fixed lock file name, It never name xinted

* Wed Jun  6 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- updated to 2.1.8.8p3

* Wed Jan 31 2001 Hirofumi Takeda <takepin@turbolinux.co.jp>
- fixed spec file for FHS2.1

* Tue Aug 15 2000 SL Baur  <steve@turbolinux.co.jp>
- debash

* Tue Sep 28 1999 Kazutomo Yoshii <kazutomo@turbolinux.com>
- modified rebuild_xinetd.sh

* Mon Sep 27 1999 Kelley Spoon <kelley.spoon@turbolinux.com>
- added in the rebuild_xinetd.sh script, the README file, and
  a hook for the defaults file.  Still going to wait for
  Kazutomo to come up with a decent defaults file.  :-)

* Mon Sep 27 1999 Kazutomo Yoshii <kazutomo@turbolinux.com>
- updated from 2.2.1 to 2.1.8.6b7 (downgraded version ?)
- The reason:
- The most recent original version of xinetd was 2.1.1 with patches
- bringing it up to 2.1.8. Someone else (whom I also cannot get in touch
- with) created xinetd 2.2.1. The copyright included with xinetd
- specified the required versioning to be the official release of xinetd
- (2.1.8 in this case) and a fourth version number tacked on to indicate
- the modification level. This is the versioning I have adopte

* Tue Jan 19 1999 Scott Stone <sstone@turbolinux.com>
- Added sysv init script
- Buildroot
- Release 5

* Thu Nov 5 1998 Scott Stone <sstone@turbolinux.com>
- Added itox to package

* Thu Oct 29 1998 Scott Stone <sstone@turbolinux.com>
- Built for TL 3.0
- Removed /usr/local/ references

* Sat Sep 26 1998 Scott Stone <sstone@turbolinux.com>
- Built for TL 2.1beta
- Built with glibc, egcs
- Automatically compiles from .src.rpm
- Fixed naming convention


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q
%patch0 -p1 -b .fix1


%build
CC="gcc $RPM_OPT_FLAGS" ./configure \
  --prefix=%{prefix} --mandir=%{_mandir}

make
cp -p libs/src/sio/README libs/src/sio/README-libsio
cp -p libs/src/str/README libs/src/str/README-libstr
cp -p libs/src/misc/README libs/src/misc/README-libmisc


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

mkdir -p $RPM_BUILD_ROOT/etc/xinetd

mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{prefix}/include
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/xinetd

make prefix=$RPM_BUILD_ROOT%{prefix} MANDIR=$RPM_BUILD_ROOT%{_mandir} install
strip $RPM_BUILD_ROOT%{prefix}/sbin/xinetd

#install -s -m 755 xinetd/itox $RPM_BUILD_ROOT%{prefix}/sbin/inetd2xinetd
install -s -m 755 xinetd/itox $RPM_BUILD_ROOT%{prefix}/sbin/

install -m 755 %{SOURCE4} ${RPM_BUILD_ROOT}%{prefix}/sbin/rebuild_xinetd_conf

# install header files
for header in libs/include/*.h; do
  install -m 644 $header  $RPM_BUILD_ROOT%{prefix}/include/
done
# install static libraries files
for libs in libs/lib/*.a ; do
  install -m 644 $libs  $RPM_BUILD_ROOT%{prefix}/lib/
done
# install man files files
for mans in libs/man/*.3 ; do
  install -m 644 $mans  $RPM_BUILD_ROOT%{_mandir}/man3/
done

#install default configuration files
#gzip -dc %{SOURCE5} | (cd $RPM_BUILD_ROOT/etc && tar -xf - )
mkdir -p $RPM_BUILD_ROOT/etc/xinetd
install -m0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/xinetd/defaults
install -m0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/xinetd/README

# remove libpq and pq.h because conflicts with postgresql-devel
rm -fv $RPM_BUILD_ROOT%{prefix}/lib/libpq.a
rm -fv $RPM_BUILD_ROOT%{prefix}/include/pq.h

%post
/sbin/chkconfig --add xinetd


%preun
/sbin/chkconfig --del xinetd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc INSTALL README xinetd/CHANGELOG xinetd/COPYRIGHT xinetd/sample.conf
/etc/rc.d/init.d/xinetd
%{prefix}/sbin/itox
%{prefix}/sbin/xinetd
%{prefix}/sbin/rebuild_xinetd_conf
%attr(0644,root,root) %{_mandir}/man5/*
%attr(0644,root,root) %{_mandir}/man8/*
%dir /etc/xinetd
# Set this to no replace in case he user has modified his default
# config... don't want to blow away his hard work.
# %config(noreplace) /etc/xinetd/auth.conf
# %config(noreplace) /etc/xinetd/bootps.conf
# %config(noreplace) /etc/xinetd/chargen.conf
# %config(noreplace) /etc/xinetd/daytime.conf
%config(noreplace) /etc/xinetd/defaults
# %config(noreplace) /etc/xinetd/discard.conf
# %config(noreplace) /etc/xinetd/echo.conf
# %config(noreplace) /etc/xinetd/exec.conf
# %config(noreplace) /etc/xinetd/finger.conf
# %config(noreplace) /etc/xinetd/ftp.conf
# %config(noreplace) /etc/xinetd/gopher
# %config(noreplace) /etc/xinetd/imap.conf
# %config(noreplace) /etc/xinetd/login.conf
# %config(noreplace) /etc/xinetd/netstat.conf
# %config(noreplace) /etc/xinetd/ntalk.conf
# %config(noreplace) /etc/xinetd/pop-2.conf
# %config(noreplace) /etc/xinetd/pop-3.conf
# %config(noreplace) /etc/xinetd/shell.conf
# %config(noreplace) /etc/xinetd/swat.conf
# %config(noreplace) /etc/xinetd/systat.conf
# %config(noreplace) /etc/xinetd/talk.conf
# %config(noreplace) /etc/xinetd/telnet.conf
# %config(noreplace) /etc/xinetd/tftp.conf
# %config(noreplace) /etc/xinetd/time.conf
# %config(noreplace) /etc/xinetd/uucp
/etc/xinetd/README


%files	devel
%defattr(-,root,root)
%doc INSTALL README libs/src/sio/README-libsio libs/src/str/README-libstr libs/src/misc/README-libmisc
%attr(0644,root,root) %{prefix}/lib/*
%attr(0644,root,root) %{prefix}/include/*
%attr(0644,root,root) %{_mandir}/man3/*
